# Kepler

![Logo](assets/logo.svg)

Kepler provides an architecture to organize your software as a set of
loosely-coupled systems, where each can be easily accessed and has a
well-defined responsibility.

[![Unit Tests](https://github.com/ba-st/Kepler/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Kepler/actions/workflows/unit-tests.yml/badge.svg)
[![Coverage Status](https://codecov.io/github/ba-st/Kepler/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Kepler/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Kepler/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Kepler/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Kepler/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Kepler/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Kepler.svg)](https://github.com/ba-st/Kepler/releases/latest)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

> *Name origin*: Mathematician and astronomer [Johannes Kepler](https://en.wikipedia.org/wiki/Johannes_Kepler)
> is best known for his laws of planetary motion that describes how planets move
> around the Sun.

## Quick links

- [**Explore the docs**](docs/README.md)
- [Report a defect](https://github.com/ba-st/Kepler/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Kepler/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow this [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)
